Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451348 - kernel .6 locks up when connecting to network b43 module
Summary: kernel .6 locks up when connecting to network b43 module
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 9
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-13 20:44 UTC by Christopher Stone
Modified: 2008-07-01 07:46 UTC (History)
3 users (show)

Fixed In Version: kernel-2.6.25.6-57.fc9.i686
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-23 19:18:35 UTC


Attachments (Terms of Use)

Description Christopher Stone 2008-06-13 20:44:51 UTC
Description of problem:
My computer locks up and the caps lock and scroll lock leds start blinking on my
keyboard whenever I try to connect to the network.  This only just started
happening with the .6 release.

Version-Release number of selected component (if applicable):
.6

How reproducible:
Connect to network using b43

Additional info:
I can't find any kernel oops output in my messages file.

Comment 1 John W. Linville 2008-06-13 21:03:39 UTC
Can you recreate the issue with these kernels?

   http://koji.fedoraproject.org/koji/buildinfo?buildID=52456

Comment 2 Christopher Stone 2008-06-14 03:10:54 UTC
(In reply to comment #1)
> Can you recreate the issue with these kernels?
> 
>    http://koji.fedoraproject.org/koji/buildinfo?buildID=52456

These kernels seem to fix the problem.  I am now able to connect to the net
without crashing. :)

Comment 3 John Steele Scott 2008-06-15 04:44:59 UTC
This lockup also happens on powerpc, for me it locks up just after logging into
GNOME.

The kernel from the Koji link in comment 1 fixes it for me.

Comment 4 Orlando Arias 2008-06-19 11:23:55 UTC
I can confirm this bug, happens also in my HP Pavilion 6775us. Doesn't matter
whether I use Network Manager or system-config-network to connect to a wifi
spot. Have yet to try Koji's kernel although chances are it will solve the
issue. Will update soon on this.

Comment 5 Christian Schaller 2008-06-20 10:07:26 UTC
I can confirm this bug also on my machine, an ASUS Pro31s with a Intel wireless
card. As soon as NetworkManager connects to the network the machine locks up hard.
Works fine with the .4 kernel and earlier.

Here is my smolt profile:
http://www.smolts.org/client/show/pub_3148c2c9-8d02-48df-95d0-45e4f98d37b3

Comment 6 Václav Mocek 2008-06-20 22:13:19 UTC
Hi, I can confirm, that package kernel-2.6.25.6-57.fc9.i686.rpm
(http://koji.fedoraproject.org/koji/rpminfo?rpmID=615935) solves the problem.
Thanks.

Comment 7 Orlando Arias 2008-07-01 07:46:48 UTC
Quick question, is this kernel being pushed into the repos? If so, when? I can't
seem to find it there, and some things on my system (namely my stupid nvidia
video card) require things that are closely related to the kernel.


Note You need to log in before you can comment on or make changes to this bug.